From 0a4319947b3399dd648b054ccb25bc8413347579 Mon Sep 17 00:00:00 2001
From: Benoit Mortier <benoit.mortier@opensides.be>
Date: Fri, 13 Jan 2017 17:02:08 +0100
Subject: [PATCH] Sonar fixes: Two-argument "open" used

Signed-off-by: Benoit Mortier <benoit.mortier@opensides.be>
---
 contrib/bin/fusiondirectory-setup | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/contrib/bin/fusiondirectory-setup b/contrib/bin/fusiondirectory-setup
index cce851fbb..0313fc415 100644
--- a/contrib/bin/fusiondirectory-setup
+++ b/contrib/bin/fusiondirectory-setup
@@ -1957,7 +1957,7 @@ sub show_version {
   my $vars_file;
 
   if (-e $variables_common_path) {
-    open($vars_file, $variables_common_path) || die ("Could not open $variables_common_path");
+    open($vars_file, q{<}, $variables_common_path) || die ("Could not open $variables_common_path");
     while(<$vars_file>) {
       if ($_ =~ m/^define \(["']FD_VERSION["'], "([^"]+)"\);/) {
         print "FusionDirectory version is $1\n";
-- 
GitLab